This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 803253 - input method Click is not working with gnome-shell while pressing Windows Key
input method Click is not working with gnome-shell while pressing Windows Key
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 06:17 EDT by A S Alam
Modified: 2013-07-02 21:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-15 23:27:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot for gnome-shell with application and click on NetworkManager is available (367.43 KB, image/png)
2012-03-14 06:17 EDT, A S Alam
no flags Details

  None (edit)
Description A S Alam 2012-03-14 06:17:38 EDT
Created attachment 569950 [details]
Screenshot for gnome-shell with application and click on NetworkManager is available

Description of problem:
input method switch by Click ibus icon is not working with gnome-shell while pressing Alt+F2 and Application Search (Windows key and Search). User is not able to change input method back to English.

Version-Release number of selected component (if applicable):
ibus-1.4.99.20120304-3.fc17.x86_64
ibus-anthy-1.3.99.20120304-1.fc17.x86_64
ibus-chewing-1.3.10-3.fc17.x86_64
ibus-gnome3-1.4.99.20120304-3.fc17.x86_64
ibus-gtk2-1.4.99.20120304-3.fc17.x86_64
ibus-gtk3-1.4.99.20120304-3.fc17.x86_64
ibus-hangul-1.4.0-5.fc17.x86_64
ibus-libs-1.4.99.20120304-3.fc17.x86_64
ibus-m17n-1.3.3-9.fc17.x86_64
ibus-pinyin-1.4.0-14.fc17.x86_64

gnome-shell-3.3.90-1.fc17.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. Select some input with ibus (suppose Punjabi Inscript) (with Ctrl+Space)
2. Alt+F2 or Windows Key
3. try to Click Ibus Icon
  
Actual results:
not able to click on Ibus Icon 

Expected results:
click on ibus icon should open menu for user like NetworkManager-applet, User Applet, sound etc...

Additional info:
Screenshot for NetworkManager
Comment 2 fujiwara 2012-03-14 21:53:20 EDT
Please ignore comment #1. I looked at another bug id by mistake.

(In reply to comment #1)
> There are known issues:
> https://bugzilla.gnome.org/show_bug.cgi?id=658325
> https://bugzilla.gnome.org/show_bug.cgi?id=658420
Comment 3 fujiwara 2012-03-15 03:37:06 EDT
(In reply to comment #0)
> Expected results:
> click on ibus icon should open menu for user like NetworkManager-applet, User
> Applet, sound etc...

I don't think NetworkManager indicator can do it. Also the attachment is not NetworkManager.
Comment 4 A S Alam 2012-03-15 05:36:55 EDT
(In reply to comment #3)
> (In reply to comment #0)
> > Expected results:
> > click on ibus icon should open menu for user like NetworkManager-applet, User
> > Applet, sound etc...
> 
> I don't think NetworkManager indicator can do it. Also the attachment is not
> NetworkManager.

sorry it was not Alt+F2, but only by pressing "Windows" button or clicking on "Activities" and then pressing on any icon.
Comment 5 A S Alam 2012-03-15 06:32:45 EDT
it is working as expected with instruction:
yum install ibus-gnome3 gnome-tweak-tool

'gnome-tweak-tool' -> 'Shell Extensions'-> ON 'Input-Method Status Indicator Extension'
Comment 6 fujiwara 2012-03-15 23:27:49 EDT
OK, thanks for the test.
Comment 7 A S Alam 2012-03-20 06:01:44 EDT
do you have plan to push Gnome Extension for ibus? it looks odd with gnome3

Note You need to log in before you can comment on or make changes to this bug.